/**
 * Matches the "id" field in the "resources/curses.xml" file. This is used to compute the
 * `LevelCurse` enum.
 *
 * The values of this enum are integers. Do not use this enum to check for the presence of curses;
 * use the `LevelCurse` enum instead, which has bit flag values.
 */
export var CurseID;
(function (CurseID) {
    CurseID[CurseID["DARKNESS"] = 1] = "DARKNESS";
    CurseID[CurseID["LABYRINTH"] = 2] = "LABYRINTH";
    CurseID[CurseID["LOST"] = 3] = "LOST";
    CurseID[CurseID["UNKNOWN"] = 4] = "UNKNOWN";
    CurseID[CurseID["CURSED"] = 5] = "CURSED";
    CurseID[CurseID["MAZE"] = 6] = "MAZE";
    CurseID[CurseID["BLIND"] = 7] = "BLIND";
    CurseID[CurseID["GIANT"] = 8] = "GIANT";
})(CurseID || (CurseID = {}));
