/**
 * Each room has an arbitrarily set difficulty of 0, 1, 2, 5, or 10. The floor generation algorithm
 * attempts to generates floors with a combined difficulty of a certain value.
 */
export var RoomDifficulty;
(function (RoomDifficulty) {
    /**
     * Rooms set to difficulty 0 will never be generated by the floor generation algorithm and are
     * effectively removed from the game.
     */
    RoomDifficulty[RoomDifficulty["ALWAYS_EXCLUDED"] = 0] = "ALWAYS_EXCLUDED";
    RoomDifficulty[RoomDifficulty["VERY_EASY"] = 1] = "VERY_EASY";
    RoomDifficulty[RoomDifficulty["EASY"] = 2] = "EASY";
    RoomDifficulty[RoomDifficulty["MEDIUM"] = 5] = "MEDIUM";
    RoomDifficulty[RoomDifficulty["HARD"] = 10] = "HARD";
})(RoomDifficulty || (RoomDifficulty = {}));
