/* eslint-disable sort-exports/sort-exports */
/** EntityType.FAMILIAR (3), FamiliarVariant.LOST_SOUL (211). */
export var LostSoulState;
(function (LostSoulState) {
    LostSoulState[LostSoulState["ALIVE"] = 1] = "ALIVE";
    LostSoulState[LostSoulState["DEAD"] = 4] = "DEAD";
})(LostSoulState || (LostSoulState = {}));
/** For `EntityType.DEATH` (66). */
export var DeathState;
(function (DeathState) {
    DeathState[DeathState["APPEAR"] = 1] = "APPEAR";
    DeathState[DeathState["SCYTHE_APPEAR"] = 3] = "SCYTHE_APPEAR";
    /** Death will wander around in his idle state. */
    DeathState[DeathState["MAIN_IDLE"] = 4] = "MAIN_IDLE";
    DeathState[DeathState["JUMP_OFF_HORSE"] = 7] = "JUMP_OFF_HORSE";
    DeathState[DeathState["SLOW_ATTACK"] = 8] = "SLOW_ATTACK";
    DeathState[DeathState["SUMMON_KNIGHTS"] = 13] = "SUMMON_KNIGHTS";
    DeathState[DeathState["SUMMON_SCYTHES"] = 14] = "SUMMON_SCYTHES";
})(DeathState || (DeathState = {}));
/** For `EntityType.DADDY_LONG_LEGS` (101). */
export var DaddyLongLegsState;
(function (DaddyLongLegsState) {
    /** Used at the end of the sequence of single stomp attacks. */
    DaddyLongLegsState[DaddyLongLegsState["SLAM_WITH_PROJECTILE_BURST"] = 4] = "SLAM_WITH_PROJECTILE_BURST";
    /**
     * This is used for both the single stomp attack and the multi-stomp attack.
     *
     * When doing the multi-stomp attack, the main entity will go to state 9 and the child entities
     * will have state 7.
     */
    DaddyLongLegsState[DaddyLongLegsState["STOMP_ATTACK_LEG"] = 7] = "STOMP_ATTACK_LEG";
    DaddyLongLegsState[DaddyLongLegsState["SPITTING_SPIDERS_ATTACK"] = 8] = "SPITTING_SPIDERS_ATTACK";
    DaddyLongLegsState[DaddyLongLegsState["MULTI_STOMP_ATTACK_MAIN"] = 9] = "MULTI_STOMP_ATTACK_MAIN";
})(DaddyLongLegsState || (DaddyLongLegsState = {}));
/** For `EntityType.BIG_HORN` (411), `BigHornVariant.BIG_HORN` (0). */
export var BigHornState;
(function (BigHornState) {
    BigHornState[BigHornState["IDLE"] = 3] = "IDLE";
    BigHornState[BigHornState["HEAD_GOING_UP_OR_GOING_DOWN_INTO_HOLE"] = 4] = "HEAD_GOING_UP_OR_GOING_DOWN_INTO_HOLE";
    BigHornState[BigHornState["HAND_GOING_DOWN_INTO_HOLE"] = 5] = "HAND_GOING_DOWN_INTO_HOLE";
    BigHornState[BigHornState["HAND_SLAM_ATTACK"] = 8] = "HAND_SLAM_ATTACK";
    /**
     * This is used for all types of Troll Bomb attacks. Troll Bombs can randomly be Mega Troll Bombs
     * or Hot Bombs.
     */
    BigHornState[BigHornState["HAND_THROW_TROLL_BOMB_ATTACK"] = 9] = "HAND_THROW_TROLL_BOMB_ATTACK";
    BigHornState[BigHornState["HAND_THROW_TRIPLE_TROLL_BOMB_ATTACK"] = 10] = "HAND_THROW_TRIPLE_TROLL_BOMB_ATTACK";
    /**
     * This is used for the attack where he spits out 1 ball, spits out 2 balls, and spits out 3
     * balls.
     */
    BigHornState[BigHornState["HEAD_BALL_ATTACK"] = 13] = "HEAD_BALL_ATTACK";
})(BigHornState || (BigHornState = {}));
/** For `EntityType.REAP_CREEP` (900). */
export var ReapCreepState;
(function (ReapCreepState) {
    ReapCreepState[ReapCreepState["CRAWLING_FROM_SIDE_TO_SIDE"] = 3] = "CRAWLING_FROM_SIDE_TO_SIDE";
    ReapCreepState[ReapCreepState["JUMPING_TO_TOP_WALL"] = 6] = "JUMPING_TO_TOP_WALL";
    ReapCreepState[ReapCreepState["WALL_SLAM_ATTACK"] = 7] = "WALL_SLAM_ATTACK";
    ReapCreepState[ReapCreepState["PROJECTILE_SPIT_LINE_ATTACK"] = 8] = "PROJECTILE_SPIT_LINE_ATTACK";
    ReapCreepState[ReapCreepState["PROJECTILE_SPIT_BURST_ATTACK"] = 9] = "PROJECTILE_SPIT_BURST_ATTACK";
    /** This is used for both the single fat Brimstone attack and the quad-beam Brimstone attack. */
    ReapCreepState[ReapCreepState["BRIMSTONE_ATTACK"] = 10] = "BRIMSTONE_ATTACK";
    ReapCreepState[ReapCreepState["SPAWNING_WALL_SPIDERS"] = 13] = "SPAWNING_WALL_SPIDERS";
    ReapCreepState[ReapCreepState["SPAWNING_SPIDERS"] = 14] = "SPAWNING_SPIDERS";
    /**
     * There are three phases, so Reap Creep will enter this state while going from phase 1 to phase 2
     * and when going from phase 2 to phase 3.
     */
    ReapCreepState[ReapCreepState["TRANSFORMING_TO_NEXT_PHASE"] = 16] = "TRANSFORMING_TO_NEXT_PHASE";
})(ReapCreepState || (ReapCreepState = {}));
/** For `EntityType.COLOSTOMIA` (917). */
export var ColostomiaState;
(function (ColostomiaState) {
    ColostomiaState[ColostomiaState["IDLE_PHASE_1"] = 3] = "IDLE_PHASE_1";
    ColostomiaState[ColostomiaState["IDLE_PHASE_2"] = 4] = "IDLE_PHASE_2";
    ColostomiaState[ColostomiaState["JUMP_ATTACK_WITH_PROJECTILE_SPLASH"] = 6] = "JUMP_ATTACK_WITH_PROJECTILE_SPLASH";
    ColostomiaState[ColostomiaState["CHARGE_SLIDE"] = 8] = "CHARGE_SLIDE";
    ColostomiaState[ColostomiaState["SPIT_POOP_BOMB"] = 9] = "SPIT_POOP_BOMB";
    ColostomiaState[ColostomiaState["SPIT_TWO_POOP_BOMBS"] = 10] = "SPIT_TWO_POOP_BOMBS";
    ColostomiaState[ColostomiaState["FART_ATTACK"] = 11] = "FART_ATTACK";
    ColostomiaState[ColostomiaState["TRANSITION_TO_PHASE_2"] = 16] = "TRANSITION_TO_PHASE_2";
})(ColostomiaState || (ColostomiaState = {}));
